command_timeout = 500
add_newline = false
format = "$directory$git_branch$git_status$git_commit$git_metrics$git_state$python$cmd_duration$fill$time$line_break$character"
[line_break]
disabled = false

[fill]
symbol = " "

[character]
success_symbol = "[➜](bold green) "
error_symbol = "[✗](bold red) "

[cmd_duration]
min_time = 500
format = "took [$duration](bold yellow) "

[directory]
read_only = " 🔒"
truncation_length = 3
truncation_symbol = ".../"
repo_root_style = "underline #1adb00 "

[git_branch]
symbol = " 📦 "
style = "bold #c79202 inverted"
format = "on [$symbol$branch ]($style) "

[python]
format = ' [${symbol}${pyenv_prefix}(${version} )(\($virtualenv\) )]($style)'
python_binary = ['./venv/bin/python', './.venv/bin/python', 'python', 'python3', 'python2']

[time]
disabled = false
format = '[ 🕙 $time ]($style)'
time_format = "%H:%M:%S"
# utc_time_offset = ""
style = "bold bg:#8a15e2"

[git_commit]
commit_hash_length = 4
tag_symbol = '🔖 '

[git_state]
format = '[\($state( $progress_current of $progress_total)\)]($style) '
cherry_pick = '[🍒 PICKING](bold red)'

[git_metrics]
added_style = 'bold blue'
format = '[+$added]($added_style)/[-$deleted]($deleted_style) '

[git_status]
conflicted = '🏳'
ahead = '🏎💨'
behind = '😰'
diverged = '😵'
up_to_date = '👌'
untracked = '🤷'
stashed = '📦'
modified = '📝'
staged = '[++\($count\)](green)'
renamed = '👅'
deleted = '🗑'

[package]
disabled = true